Package owl.automaton.ldba

## Class LimitDeterministicAutomatonBuilder<S,KeyT,T,B extends GeneralizedBuchiAcceptance,C>

- java.lang.Object
- - owl.automaton.ldba.LimitDeterministicAutomatonBuilder<S,KeyT,T,B,C>

-     public final class LimitDeterministicAutomatonBuilder<S,KeyT,T,B extends GeneralizedBuchiAcceptance,C>
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `LimitDeterministicAutomatonBuilder.Configuration` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addInitialStateAcceptingComponent​(KeyT key)` |
    `LimitDeterministicAutomaton<S,T,B,C>` | `build()` |
    `static <S,T,Acc extends GeneralizedBuchiAcceptance,X2,X3> LimitDeterministicAutomatonBuilder<S,X2,T,Acc,X3>` | `create​(Supplier<MutableAutomaton<S,NoneAcceptance>> initialComponentBuilder, MutableAutomatonBuilder<X2,T,Acc> acceptingComponentBuilder, Function<S,Iterable<X2>> jumpGenerator, Function<T,X3> annotations, EnumSet<LimitDeterministicAutomatonBuilder.Configuration> optimisations)` |
    `static <S,T,Acc extends GeneralizedBuchiAcceptance,X2,X3> LimitDeterministicAutomatonBuilder<S,X2,T,Acc,X3>` | `create​(Supplier<MutableAutomaton<S,NoneAcceptance>> initialComponentBuilder, MutableAutomatonBuilder<X2,T,Acc> acceptingComponentBuilder, Function<S,Iterable<X2>> jumpGenerator, Function<T,X3> annotations, EnumSet<LimitDeterministicAutomatonBuilder.Configuration> optimisations, Predicate<S> isProtected)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static <S,T,Acc extends GeneralizedBuchiAcceptance,X2,X3> LimitDeterministicAutomatonBuilder<S,X2,T,Acc,X3> create​(Supplier<MutableAutomaton<S,NoneAcceptance>> initialComponentBuilder,
                                                                                                                                    MutableAutomatonBuilder<X2,T,Acc> acceptingComponentBuilder,
                                                                                                                                    Function<S,Iterable<X2>> jumpGenerator,
                                                                                                                                    Function<T,X3> annotations,
                                                                                                                                    EnumSet<LimitDeterministicAutomatonBuilder.Configuration> optimisations)

    - #### create

          public static <S,T,Acc extends GeneralizedBuchiAcceptance,X2,X3> LimitDeterministicAutomatonBuilder<S,X2,T,Acc,X3> create​(Supplier<MutableAutomaton<S,NoneAcceptance>> initialComponentBuilder,
                                                                                                                                    MutableAutomatonBuilder<X2,T,Acc> acceptingComponentBuilder,
                                                                                                                                    Function<S,Iterable<X2>> jumpGenerator,
                                                                                                                                    Function<T,X3> annotations,
                                                                                                                                    EnumSet<LimitDeterministicAutomatonBuilder.Configuration> optimisations,
                                                                                                                                    Predicate<S> isProtected)

    - #### addInitialStateAcceptingComponent

          public void addInitialStateAcceptingComponent​(KeyT key)

    - #### build

          public LimitDeterministicAutomaton<S,T,B,C> build()